Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: cert::ServerSSLCert::Info Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cert::ServerSSLCert::Info Struct Reference

Certificate manager information. More...

`import <ServerSSLCert.idl;`

## Public Attributes
boolean | havePendingReq
| `true` if a CSR is pending
boolean | havePendingCert
| `true` if an uploaded certificate is pending activation
ReqInfo | pendingReqInfo
| Information about pending CSR.
CertInfo | pendingCertInfo
| Information about pending certificate file (device certificate)
vector< CertInfo > | pendingCertChainInfos
| Information about pending certificate file (remaining certificate chain if available)
CertInfo | activeCertInfo
| Information about active certificate file (device certificate)
vector< CertInfo > | activeCertChainInfos
| Information about active certificate file (remaining certificate chain if available)
int | maxSignDays
| Maximum number of days a self signed certificate will be valid.

## Detailed Description

Certificate manager information.

Definition at line 98 of file ServerSSLCert.idl.

## Member Data Documentation

## ◆ activeCertChainInfos

vector<CertInfo> cert::ServerSSLCert::Info::activeCertChainInfos

Information about active certificate file (remaining certificate chain if available)

Definition at line 105 of file ServerSSLCert.idl.

## ◆ activeCertInfo

CertInfo cert::ServerSSLCert::Info::activeCertInfo

Information about active certificate file (device certificate)

Definition at line 104 of file ServerSSLCert.idl.

## ◆ havePendingCert

boolean cert::ServerSSLCert::Info::havePendingCert

`true` if an uploaded certificate is pending activation

Definition at line 100 of file ServerSSLCert.idl.

## ◆ havePendingReq

boolean cert::ServerSSLCert::Info::havePendingReq

`true` if a CSR is pending

Definition at line 99 of file ServerSSLCert.idl.

## ◆ maxSignDays

int cert::ServerSSLCert::Info::maxSignDays

Maximum number of days a self signed certificate will be valid.

Definition at line 106 of file ServerSSLCert.idl.

## ◆ pendingCertChainInfos

vector<CertInfo> cert::ServerSSLCert::Info::pendingCertChainInfos

Information about pending certificate file (remaining certificate chain if available)

Definition at line 103 of file ServerSSLCert.idl.

## ◆ pendingCertInfo

CertInfo cert::ServerSSLCert::Info::pendingCertInfo

Information about pending certificate file (device certificate)

Definition at line 102 of file ServerSSLCert.idl.

## ◆ pendingReqInfo

ReqInfo cert::ServerSSLCert::Info::pendingReqInfo

Information about pending CSR.

Definition at line 101 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl